import { Type, ComponentFactoryResolver, OnDestroy, ComponentRef, AfterViewInit, ChangeDetectorRef, Renderer2, NgZone, ElementRef } from '@angular/core';
import { AnimationEvent } from '@angular/animations';
import { DynamicDialogContent } from './dynamicdialogcontent';
import { DynamicDialogConfig } from './dynamicdialog-config';
import { DynamicDialogRef } from './dynamicdialog-ref';
import { LicenseManager, PrimeNGConfig } from 'primeng/api';
import * as i0 from "@angular/core";
import * as i1 from "./dynamicdialogcontent";
import * as i2 from "@angular/common";
export declare class DynamicDialogComponent implements AfterViewInit, OnDestroy {
    private document;
    private componentFactoryResolver;
    private cd;
    renderer: Renderer2;
    config: DynamicDialogConfig;
    private dialogRef;
    zone: NgZone;
    primeNGConfig: PrimeNGConfig;
    private parentDialog;
    private licenseManager;
    visible: boolean;
    componentRef: ComponentRef<any>;
    mask: HTMLDivElement;
    resizing: boolean;
    dragging: boolean;
    _style: any;
    lastPageX: number;
    lastPageY: number;
    insertionPoint: DynamicDialogContent;
    maskViewChild: ElementRef;
    contentViewChild: ElementRef;
    childComponentType: Type<any>;
    container: HTMLDivElement;
    wrapper: HTMLElement;
    documentKeydownListener: () => void | null;
    documentEscapeListener: () => void | null;
    maskClickListener: () => void | null;
    transformOptions: string;
    documentResizeListener: () => void | null;
    documentResizeEndListener: () => void | null;
    documentDragListener: () => void | null;
    documentDragEndListener: () => void | null;
    get minX(): number;
    get minY(): number;
    get keepInViewport(): boolean;
    constructor(document: Document, componentFactoryResolver: ComponentFactoryResolver, cd: ChangeDetectorRef, renderer: Renderer2, config: DynamicDialogConfig, dialogRef: DynamicDialogRef, zone: NgZone, primeNGConfig: PrimeNGConfig, parentDialog: DynamicDialogComponent, licenseManager: LicenseManager);
    ngAfterViewInit(): void;
    loadChildComponent(componentType: Type<any>): void;
    moveOnTop(): void;
    onAnimationStart(event: AnimationEvent): void;
    onAnimationEnd(event: AnimationEvent): void;
    onContainerDestroy(): void;
    close(): void;
    hide(): void;
    enableModality(): void;
    disableModality(): void;
    onKeydown(event: KeyboardEvent): void;
    focus(): void;
    bindGlobalListeners(): void;
    unbindGlobalListeners(): void;
    bindDocumentKeydownListener(): void;
    unbindDocumentKeydownListener(): void;
    bindDocumentDragListener(): void;
    bindDocumentDragEndListener(): void;
    bindDocumentResizeListeners(): void;
    bindDocumentEscapeListener(): void;
    unbindDocumentEscapeListener(): void;
    unbindMaskClickListener(): void;
    onResize(event: MouseEvent): void;
    resizeEnd(event: MouseEvent): void;
    onDrag(event: MouseEvent): void;
    endDrag(event: MouseEvent): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DynamicDialogComponent, [null, null, null, null, null, null, null, null, { optional: true; skipSelf: true; }, null]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DynamicDialogComponent, "p-dynamicDialog", never, {}, {}, never, never>;
}
export declare class DynamicDialogModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DynamicDialogModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DynamicDialogModule, [typeof DynamicDialogComponent, typeof i1.DynamicDialogContent], [typeof i2.CommonModule], never>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DynamicDialogModule>;
}
